org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtFinishedFuture<T>

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFinishedFuture<T>
  - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtFinishedFuture<T>

All Implemented Interfaces:
  IgniteInternalFuture<T>, GridDhtFuture<T>

    public class GridDhtFinishedFuture<T>
    extends GridFinishedFuture<T>
    implements GridDhtFuture<T>

Finished DHT future.

### Constructor Summary

Constructors
Constructor and Description
`GridDhtFinishedFuture(T t)`
`GridDhtFinishedFuture(Throwable err)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<Integer>` `invalidPartitions()` Node that future should be able to provide keys to retry before it completes, so it's not necessary to wait till future is done to get retry keys.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFinishedFuture

`cancel, chain, chain, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Constructor Detail

#### GridDhtFinishedFuture

    public GridDhtFinishedFuture(T t)

Parameters:
  `t` - Result.

#### GridDhtFinishedFuture

    public GridDhtFinishedFuture(Throwable err)

Parameters:
  `err` - Error.

### Method Detail

#### invalidPartitions

    public Collection<Integer> invalidPartitions()

Node that future should be able to provide keys to retry before it completes, so it's not necessary to wait till future is done to get retry keys.

Specified by:
  `invalidPartitions` in interface `GridDhtFuture<T>`
Returns:
  Keys to retry because this node is no longer a primary or backup.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridFinishedFuture<T>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020